org.red5.server.scheduling

## Class QuartzSchedulingServiceJob

- java.lang.Object
- - org.red5.server.scheduling.QuartzSchedulingServiceJob

All Implemented Interfaces:
  org.quartz.Job

    public class QuartzSchedulingServiceJob
    extends Object
    implements org.quartz.Job

Scheduled job that is registered in the Quartz scheduler.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`protected static String` `SCHEDULED_JOB` Scheduled job constant
`protected static String` `SCHEDULING_SERVICE` Scheduling service constant

### Constructor Summary

Constructors
Constructor and Description
`QuartzSchedulingServiceJob()`

### Method Summary

Methods
`void` `execute(org.quartz.JobExecutionContext arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEDULING_SERVICE

    protected static final String SCHEDULING_SERVICE

Scheduling service constant

See Also:
  Constant Field Values

#### SCHEDULED_JOB

    protected static final String SCHEDULED_JOB

Scheduled job constant

See Also:
  Constant Field Values

### Constructor Detail

#### QuartzSchedulingServiceJob

    public QuartzSchedulingServiceJob()

### Method Detail

#### execute

    public void execute(org.quartz.JobExecutionContext arg0)
                 throws org.quartz.JobExecutionException

Specified by:
  `execute` in interface `org.quartz.Job`
Throws:
  `org.quartz.JobExecutionException`